﻿<%@ WebHandler Language="C#" Class="CompareHandler" %>

using System;
using System.Web;

public class CompareHandler : IHttpHandler, System.Web.SessionState.IRequiresSessionState {

    public void ProcessRequest (HttpContext context) {
        context.Response.ContentType = "text/plain";

        string action = context.Request.Form["action"].ToString();
        switch (action)
        {
            case "save.selection.to.session":
                SaveSelectionToSession(context);
                break;
        }

    }

    /// <summary>
    /// This is kind of a hack for the 10.0 CSRF work around issue... can't post to a modal anymore, so doing a quick "ajax session save"... then returning the id, so we can use it on the "modal get" page
    /// </summary>
    /// <param name="context"></param>
    private void SaveSelectionToSession(HttpContext context)
    {
        Random r = new Random();
        string id = r.Next().ToString();

        string[] fields = new string[] { "left", "right", "diff", "notes", "targetServerId" };

        foreach(var f in fields)
        {
            string val = "";
            if (context.Request.Form[f] != null)
                val = context.Request.Form[f].ToString();
            HttpContext.Current.Session[id + "_" + f] = val;
        }


        context.Response.Write(id);
    }

    public bool IsReusable {
        get {
            return false;
        }
    }

}