﻿<%@ Page Language="C#" AutoEventWireup="true" 
	CodeBehind="BizStreamToolkit.Tools" 
	Inherits="BizStreamToolkit.Tools.Compare.UI.CompareResultsWebForm"
    MasterPageFile="~/CMSMasterPages/UI/SimplePage.master" Title="Compare Results"
    Theme="Default" %>

<%@ Register TagPrefix="btCustomControls" Namespace="BizStreamToolkit.Tools.Common.CustomControls" Assembly="BizStreamToolkit.Tools" %>
<%@ Register TagPrefix="cms" TagName="RadioButtonsControl" Src="~/CMSFormControls/Basic/RadioButtonsControl.ascx" %>
<%@ Register TagPrefix="bzs" Namespace="BizStreamToolkit.Tools.Common.UI" Assembly="BizStreamToolkit.Tools" %>
<%@ Register TagPrefix="bzs" TagName="ObjectFilter" Src="~/CMSModules/BizStreamToolkitTools/Controls/ObjectFilter.ascx"  %>


<asp:Content ID="plcContent" ContentPlaceHolderID="plcContent" runat="server">
    <div class="form-horizontal header">
        <div class="left source"><i aria-hidden="true" class="icon icon-earth cms-icon-200"></i><h1>SOURCE</h1>
            <strong><asp:Literal runat="server" ID="ltlDeployFromName" /> <asp:Literal runat="server" ID="ltlVersionInfoSource" /><br /><asp:Literal runat="server" ID="ltlDeployFromUrl" /></strong>
        </div>
        <div class="right target"><i aria-hidden="true" class="icon icon-earth cms-icon-200"></i><h1>TARGET</h1>
            <strong><asp:Literal runat="server" ID="ltlDeployToName" /> <asp:Literal runat="server" ID="ltlVersionInfoTarget" /><br /><asp:Literal runat="server" ID="ltlDeployToUrl" /></strong>
        </div>
    </div>

    <asp:Panel ID="pnlMainAppilication" runat="server" Visible="true">

        <asp:HiddenField ID="DeploymentNotes" Value="" runat="server" EnableViewState="true"/>

        <bzs:ObjectFilter ID="objFilter" runat="server" 
            SaveFilterSettings="true" 
            SaveFilterText=""
            EnableViewState="True" /> 
    
        <div class="from-group form-group-buttons" id="outer-run-button">
            <div class="filter-form-buttons-cell-wide">
                <cms:LocalizedButton ClientIDMode="Static" ID="btnRun" runat="server" OnClick="btnRun_Clicked" ButtonStyle="Primary" EnableViewState="false" ResourceString="kenticocompare.execute" />
                <cms:LocalizedLinkButton ClientIDMode="Static" ID="btnRunClearCache" runat="server" Visible="false" OnClick="btnClearCache_Clicked" />
            </div>
        </div>

        <asp:PlaceHolder ID="plcResults" runat="server" Visible="false">
            <div id="result-grids">
                <bzs:ToolkitGridControl ID="gridDiff" runat="server" DataFormat="Difference" GridID="tDiff" CustomClass="diff" GridDataformat="Difference" CountText=" exist in both SOURCE and TARGET, but are different "/>
                <bzs:ToolkitGridControl ID="gridLeftOnly" runat="server" DataFormat="Single" GridID="tLeft" CustomClass="source" CountID="LeftOnlyCount" CountText=" only exist on the SOURCE: " GridDataformat="Single"/>
                <bzs:ToolkitGridControl ID="gridRightOnly" runat="server" DataFormat="Single" GridID="tRight" CustomClass="target" GridDescription="only exists on SOURCE: " GridDataformat="Single" CountText=" only exist on the TARGET: "/>
                <bzs:ToolkitGridControl ID="gridIdentical" runat="server" DataFormat="Identical" GridID="tIdentical" CheckBoxID="chkShowIdentical" CustomClass="identical" GridDescription="identical" GridDataformat="Identical" CountText=" identical "/>
                <bzs:ToolkitGridControl ID="gridSkipped" runat="server" DataFormat="Skipped" GridID="tSkip" CheckBoxID="chkShowSkipped" CustomClass="skipped" GridDataformat="Skipped" CountText=" skipped "/>
                <bzs:ToolkitGridControl ID="gridErrored" runat="server" DataFormat="Skipped" GridID="tErrored" CustomClass="errored" GridDataformat="Skipped" CountText=" errored "/>
            </div>

            <div class="form-group-buttons">
                <div class="filter-form-buttons-cell-wide">
                    <cms:LocalizedLinkButton runat="server" ID="btnGenerateReport" CssClass="btn btn-primary" Text="Deploy..."></cms:LocalizedLinkButton>
                </div>
            </div>
        </asp:PlaceHolder>

    </asp:Panel>

    <asp:Literal ID="ltlGuidedTour" runat="server" Visible="false"><br/></asp:Literal>
</asp:Content>