﻿<%@ Page Language="C#" AutoEventWireup="true" 
	CodeBehind="BizStreamToolkit.Tools" 
	Inherits="BizStreamToolkit.Tools.Search.UI.SearchResultsWebForm"
    MasterPageFile="~/CMSMasterPages/UI/SimplePage.master" Title="Compare Results"
    Theme="Default" %>

<%@ Register TagPrefix="bzs" Namespace="BizStreamToolkit.Tools.Common.UI" Assembly="BizStreamToolkit.Tools" %>
<%@ Register TagPrefix="bzs" TagName="ObjectFilter" Src="~/CMSModules/BizStreamToolkitTools/Controls/ObjectFilter.ascx"  %>


<asp:Content ID="plcContent" ContentPlaceHolderID="plcContent" runat="server">
    <div class="form-horizontal header">
        <div class="left source"><i aria-hidden="true" class="icon icon-magnifier cms-icon-200"></i><h1>Search</h1>
            <strong><asp:Literal runat="server" ID="ltlSiteName" /><br /><asp:Literal runat="server" ID="ltlSiteUrl" /></strong>
        </div>
    </div>


    <div class="form-filter" style="margin-bottom:0">
        <div class="form-group">
            <div class="filter-form-label-cell">
                <cms:LocalizedLabel CssClass="control-label" ID="lblChooseSite" runat="server" EnableViewState="false" DisplayColon="true" ResourceString="Which Site do you want to search?" />
            </div>
            <div style="clear:left">
            <cms:LocalizedDropDownList runat="server" ID="drpSite" ClientIDMode="Static" AutoPostBack="true" EnableViewState="true" OnSelectedIndexChanged="drpSite_SelectedIndexChanged" />
            </div>
        </div>


        <div class="form-group">
            <div class="filter-form-label-cell">
                <cms:LocalizedLabel CssClass="control-label" ID="LocalizedLabel1" runat="server" EnableViewState="false" DisplayColon="true" ResourceString="What do you want to search for?" />
            </div>
            <div style="clear:left">
                <asp:TextBox runat="server" CssClass="form-control" ID="txtSearchTerms" ClientIDMode="Static" EnableViewState="true" />
                <em>ex: FieldName, javascript snippet, html snippet, email address</em>
            </div>
        </div>
    </div>


    <bzs:ObjectFilter ID="objFilter" runat="server" 
        SaveFilterSettings="true" 
        SaveFilterText=""
        EnableViewState="True" />

    <div class="from-group form-group-buttons" ID="outer-run-button" style="clear:both;">
        <div class="filter-form-buttons-cell-wide">
            <asp:HiddenField ID="hdnRun" ClientIDMode="Static" Value="0" runat="server" />
            <asp:HiddenField ID="hdnProfileID" ClientIDMode="Static" Value="" runat="server" />
            <cms:LocalizedButton ClientIDMode="Static" ID="btnRun" runat="server" OnClick="btnRun_Click" ButtonStyle="Primary" EnableViewState="false" ResourceString="Search" />
        </div>
    </div>

    <asp:PlaceHolder ID="plcResults" runat="server" Visible="false">
            <bzs:ToolkitGridControl ID="gridResults" CountText=" found for " CustomClass="search" DataFormat="Search" runat="server" GridDataformat="Search" MaxRecordsPerGrid="500"/>
    </asp:PlaceHolder>

    <asp:Literal ID="ltlGuidedTour" runat="server" Visible="false"><br/></asp:Literal>
</asp:Content>